diff -rup conky-1.7.1.1-orig/src/linux.c conky-1.7.1.1/src/linux.c
--- conky-1.7.1.1-orig/src/linux.c	2009-06-10 21:44:37.000000000 +0500
+++ conky-1.7.1.1/src/linux.c	2009-12-09 16:04:46.290395631 +0400
@@ -866,13 +866,6 @@ int open_sysfs_sensor(const char *dir, c
 		}
 	}
 
-	/* At least the acpitz hwmon doesn't have a 'device' subdir,
-	 * so check it's existence and strip it from buf otherwise. */
-	snprintf(path, 255, "%s%s", dir, dev);
-	if (stat(path, &st)) {
-		buf[strlen(buf) - 7] = 0;
-	}
-
 	/* change vol to in, tempf to temp */
 	if (strcmp(type, "vol") == 0) {
 		type = "in";
@@ -883,6 +876,15 @@ int open_sysfs_sensor(const char *dir, c
 	snprintf(path, 255, "%s%s/%s%d_input", dir, dev, type, n);
 	strncpy(devtype, path, 255);
 
+	/* At least the acpitz hwmon doesn't have a 'device' subdir, so
+	 * check target file existence and strip 'device' from buf
+	 * otherwise. */
+	if (stat(path, &st)) {
+		buf[strlen(buf) - 7] = 0;
+		snprintf(path, 255, "%s%s/%s%d_input", dir, dev, type, n);
+		strncpy(devtype, path, 255);
+	}
+
 	/* open file */
 	fd = open(path, O_RDONLY);
 	if (fd < 0) {
